transcript on
if {[file exists rtl_work]} {
	vdel -lib rtl_work -all
}
vlib rtl_work
vmap work rtl_work

vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/OLED12832.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/Uart_Tx.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/Uart_Rx.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/Uart_Bus.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/tone.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/Seg_led.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/PWM.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/DS18B20Z.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/bin_to_bcd.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/Beeper.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/Baud.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/Top.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/alarm.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/Thermometer.v}
vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya/src {E:/FPGA/temp/jiaoya/src/debounce.v}

vlog -vlog01compat -work work +incdir+E:/FPGA/temp/jiaoya {E:/FPGA/temp/jiaoya/tb.v}

vsim -t 1ps -L altera_ver -L lpm_ver -L sgate_ver -L altera_mf_ver -L altera_lnsim_ver -L fiftyfivenm_ver -L rtl_work -L work -voptargs="+acc"  tb

add wave -position insertpoint  \
sim:/tb/dut/CLK \
sim:/tb/dut/RSTn \
sim:/tb/dut/SW \
sim:/tb/dut/KEY \
sim:/tb/dut/LED \
sim:/tb/dut/one_wire \


add wave -hex -group uart -position insertpoint  \
sim:/tb/dut/RXD \
sim:/tb/dut/TXD \
sim:/tb/dut/rx_data \
sim:/tb/dut/rx_valid \
sim:/tb/dut/tx_data \
sim:/tb/dut/tx_flag \
sim:/tb/dut/tx_done \
sim:/tb/dut/tx_cnt \
sim:/tb/dut/u_uart/Uart_Tx_uut/num \
sim:/tb/dut/u_uart/Baud_tx/bps_clk \
sim:/tb/dut/u_uart/Baud_tx/bps_en


add wave -group temperature -position insertpoint  \
sim:/tb/dut/u_thermometer/data_out \
sim:/tb/dut/u_thermometer/one_wire


add wave -hex -group oled -position insertpoint  \
sim:/tb/dut/oled_clk \
sim:/tb/dut/oled_csn \
sim:/tb/dut/oled_dat \
sim:/tb/dut/oled_dcn \
sim:/tb/dut/oled_rst

add wave -unsigned -group alarm -position insertpoint  \
sim:/tb/dut/u_alarm/pulse \
sim:/tb/dut/u_alarm/time_enter \
sim:/tb/dut/u_alarm/time_aug \
sim:/tb/dut/u_alarm/time_minus \
sim:/tb/dut/u_alarm/time_set \
sim:/tb/dut/u_alarm/state \
sim:/tb/dut/u_alarm/cnt \
sim:/tb/dut/u_alarm/second \
sim:/tb/dut/u_alarm/minute_set \
sim:/tb/dut/u_alarm/minute \
sim:/tb/dut/u_alarm/hour_set \
sim:/tb/dut/u_alarm/hour \
sim:/tb/dut/alert





add wave -hex -group beep -position insertpoint  \
sim:/tb/dut/u_beeper/u1/cnt \
sim:/tb/dut/u_beeper/cycle \
sim:/tb/dut/u_beeper/en \
sim:/tb/dut/BEEP 

add wave -hex -group key_debounce -position insertpoint  \
sim:/tb/dut/u_deb/clk \
sim:/tb/dut/u_deb/cnt \
sim:/tb/dut/u_deb/key_an \
sim:/tb/dut/u_deb/key_n \
sim:/tb/dut/u_deb/key_pulse \
sim:/tb/dut/u_deb/key_rst \
sim:/tb/dut/u_deb/key_state \
sim:/tb/dut/u_deb/low_sw \
sim:/tb/dut/u_deb/low_sw_r \
sim:/tb/dut/u_deb/rst_n



view structure
view signals
run -all
