// --------------------------------------------------------------------
// >>>>>>>>>>>>>>>>>>>>>>>>> COPYRIGHT NOTICE <<<<<<<<<<<<<<<<<<<<<<<<<
// --------------------------------------------------------------------
// Module: Beeper
// 
// Author: Step
// 
// Description: Beeper
// 
// Web: www.stepfapga.com
// 
// --------------------------------------------------------------------
// Code Revision History :
// --------------------------------------------------------------------
// Version: |Mod. Date:   |Changes Made:
// V1.0     |2016/04/20   |Initial ver
// --------------------------------------------------------------------
module Beeper
#(
parameter simPresent = 0
)
(
    input					clk,
    input					rst_n,
    input                   en,
    output				beeper,
    input   [7:0]      cycle_in,
    input               pc_play
);

    wire [15:0]	cycle;
    reg [15:0] cycle_o;
    
    always @(posedge clk, negedge rst_n) begin
        if(!rst_n) cycle_o <= 0;
        else if(pc_play) cycle_o <= cycle_in << 8;
        else cycle_o <= cycle;
    end
    
    reg pwm_en;
    always @(posedge clk, negedge rst_n) begin
        if(!rst_n) pwm_en <= 0;
        else if(pc_play) pwm_en <= (cycle_in!=0);
        else if(en) pwm_en <= 1;
        else pwm_en <= 0;
    end
    
    
    
    //将按键信息译成音节对应的周期cycle值
    tone u1
    (
        .clk				(clk		),
        .rst_n				(rst_n		),
        .en                 (en),
        .cycle				(cycle		)
    );

    //根据不同音节的周期cycle值产生对应的PWM信号
    PWM #
    (
    .WIDTH				(16			)	//ensure that 2**WIDTH > cycle
    )
    u2
    (
        .clk					(clk		),
        .rst_n				(rst_n		),
        .en                 (pwm_en),
        .cycle				(cycle_o		),	//cycle > duty
        .duty					(cycle_o>>1	),	//duty < cycle
        .pwm_out				(beeper	)
    );
        
endmodule
