// --------------------------------------------------------------------
// >>>>>>>>>>>>>>>>>>>>>>>>> COPYRIGHT NOTICE <<<<<<<<<<<<<<<<<<<<<<<<<
// --------------------------------------------------------------------
// Module: tone
// 
// Author: Step
// 
// Description: tone
// 
// Web: www.stepfapga.com
// 
// --------------------------------------------------------------------
// Code Revision History :
// --------------------------------------------------------------------
// Version: |Mod. Date:   |Changes Made:
// V1.0     |2016/04/20   |Initial ver
// --------------------------------------------------------------------


module tone
(
input					clk,
input					rst_n,
input                   en,
output	reg		[15:0]	cycle
);

//    localparam DO = 10215;
//    localparam RE = 12148;
//    localparam MI = 15306;
//    localparam FA = 17180;
//    localparam SO = 20432;
//    localparam LA = 24296;
//    localparam TI = 30612;

    localparam DO = 19389;
    localparam RE = 17256;
    localparam MI = 15358;
    localparam FA = 13669;
    localparam SO = 12895;
    localparam LA = 11477;
    localparam TI = 10215;
    

reg [25:0] cnt;
always@(posedge clk or negedge rst_n) begin
	if(!rst_n) cnt <= 1'b0;
    else if(!en) cnt <= 0;
	else cnt <= cnt + 1'b1;
end

//always@(cnt[25:22]) begin
//	case(cnt[25:22])
//		4'd0: cycle = 16'd45872;	//L1,
//		4'd1: cycle = 16'd40858;	//L2,
//		4'd2: cycle = 16'd36408;	//L3,
//		4'd3: cycle = 16'd34364;	//L4,
//		4'd4: cycle = 16'd30612;	//L5,
//		4'd5: cycle = 16'd27273;	//L6,
//		4'd6: cycle = 16'd24296;	//L7,
//		4'd7: cycle = 16'd22931;	//M1,
//		4'd8: cycle = 16'd20432;	//M2,
//		4'd9: cycle = 16'd18201;	//M3,
//		4'd10: cycle = 16'd17180;	//M4,
//		4'd11: cycle = 16'd15306;	//M5,
//		4'd12: cycle = 16'd13636;	//M6,
//		4'd13: cycle = 16'd12148;	//M7,
//		4'd14: cycle = 16'd11478;	//H1,
//		4'd15: cycle = 16'd10215;	//H2,
//		default:  cycle = 16'd0;		//cycle为0，PWM占空比为0，低电平
//	endcase
//end

always@(cnt[25:22]) begin
	case(cnt[25:22])
		4'd0: cycle = DO;	//L1,
		4'd1: cycle = DO;	//L2,
		4'd2: cycle = SO;	//L3,
		4'd3: cycle = SO;	//L4,
		4'd4: cycle = LA;	//L5,
		4'd5: cycle = LA;	//L6,
		4'd6: cycle = SO;	//L7,
		4'd7: cycle = 0;	//M1,
		4'd8: cycle = FA;	//M2,
		4'd9: cycle = FA;	//M3,
		4'd10: cycle = MI;	//M4,
		4'd11: cycle = MI;	//M5,
		4'd12: cycle = RE;	//M6,
		4'd13: cycle = RE;	//M7,
		4'd14: cycle = DO;	//H1,
		4'd15: cycle = 0;	//H2,
		default:  cycle = 16'd0;		//cycle为0，PWM占空比为0，低电平
	endcase
end
	
endmodule
