


`timescale 1ns/1ns



module tb;



    reg clk;
    reg rst_n;
    reg t_enter;
    reg t_aug;
    reg t_minus;
    reg t_set;
    
    wire [3:0] KEY;
    assign KEY = {t_enter, t_aug, t_minus, t_set};
    
    
    initial begin
    
        clk = 0;
        rst_n = 0;
        #200 rst_n = 1;
        #1000000 $stop;
        
    end
    
    initial begin
        t_enter = 0;
        t_aug = 0;
        t_minus = 0;
        t_set = 0;
        #1000 TaskTimeEnter();
        #200 TaskTimeAug();
        #1000 TaskTimeEnter();
        
        #1000 TaskTimeSet();
        
        
        #300000 TaskTimeSet();
    
    
    end



    always #42 clk = ~clk;
    
    
    Top #(.simPresent(1)) dut(
    
        .CLK        (clk        ),
        .RSTn       (rst_n      ),
        .SW         (0          ),
        .KEY        (~KEY          ),
        .TXD        (),
        .RXD        (8'h55      )
    
    
    
    );


	task TaskTimeEnter;
	begin: tasktimeenter
        automatic integer i;
		t_enter = 0;
		@(posedge clk) #2 t_enter = 1;
        for(i=0; i<8; i=i+1) @(posedge clk);
		@(posedge clk) #2 t_enter = 0;
	end
	endtask

    task TaskTimeAug;
	begin: tasktimeaug
        automatic integer i;
		t_aug = 0;
		@(posedge clk) #2 t_aug = 1;
        for(i=0; i<8; i=i+1) @(posedge clk);
		@(posedge clk) #2 t_aug = 0;
	end
	endtask
    
    task TaskTimeSet;
	begin: tasktimeSet
        automatic integer i;
		t_set = 0;
		@(posedge clk) #2 t_set = 1;
        for(i=0; i<8; i=i+1) @(posedge clk);
		@(posedge clk) #2 t_set = 0;
	end
	endtask


endmodule


